Skip to main content
`Ctrl`+`K`

# jackknife_resampling

astropy.stats.jackknife_resampling(data)

  Performs jackknife resampling on numpy arrays.

  Jackknife resampling is a technique to generate ‘n’ deterministic samples of size ‘n-1’ from a measured sample of size ‘n’. Basically, the i-th sample, (1<=i<=n), is generated by means of removing the i-th measurement of the original sample. Like the bootstrap resampling, this statistical technique finds applications in estimating variance, bias, and confidence intervals.

  Parameters:
    data `ndarray`

      Original sample (1-D array) from which the jackknife resamples will be generated.

  Returns:
    resamples `ndarray`

      The i-th row is the i-th jackknife sample, i.e., the original sample with the i-th measurement deleted.

  References

  [1]

  McIntosh, Avery. “The Jackknife Estimation Method”. <https://arxiv.org/abs/1606.00497>

  [2]

  Efron, Bradley. “The Jackknife, the Bootstrap, and other Resampling Plans”. Technical Report No. 63, Division of Biostatistics, Stanford University, December, 1980.

  [3]

  Jackknife resampling <https://en.wikipedia.org/wiki/Jackknife_resampling>